# countries_list

Simply, list of countries. I used json from this repo [ISO-3166-Countries-with-Regional-Codes](https://github.com/lukes/ISO-3166-Countries-with-Regional-Codes)

### **Main methods:**
```dart
// return list of all countries
Future<List<Country>> getCountriesIso();
```

```dart
// return list of all countries which has phone codes
Future<List<Country>> getCountriesOnlyWithPhoneCode();
```

### **Country class:**
```dart
class Country {
  final String latinName;
  final CountryIso countryIso;
  final String phoneCode;
  final String flag;

  Country({
    @required this.latinName,
    @required this.countryIso,
    @required this.phoneCode,
    @required this.flag,
  });

  @override
  String toString() {
    return '$latinName (${countryIso.alpha2}), +$phoneCode, $flag';
  }

  bool contains(String t) {
    try {
      return latinName.toLowerCase().contains(t.toLowerCase()) ||
          phoneCode.toLowerCase().contains(t.toLowerCase()) ||
          countryIso.alpha2.toLowerCase().contains(t.toLowerCase()) ||
          countryIso.alpha3.toLowerCase().contains(t.toLowerCase());
    } catch (error) {
      return false;
    }
  }
}
```
